package inn.ocsf.bee.freigeld.cl;

import com.aparapi.Kernel;

import java.math.BigInteger;

public class KernelTri {

    //трайт
    public static final int N = 3 * 3 * 3;
    public static final int TN = N * N * N;
    public static final int MAX_TRYTE = TN / 2;
    public static final int MIN_TRYTE = -TN / 2;

    //слово, три трайта
    public static final int TRI_WORD_LEN = 3;
    public static final long WN = (long) TN * TN * TN;
    public static final long MAX_TRI_WORD = WN / 2;
    public static final long MIN_TRI_WORD = -WN / 2;

    //длинное слово, 9 трайтов
    public static final int TRI_LONG_WORD_LEN = 9;
    public static final BigInteger LN = new BigInteger("443426488243038000000000000000000000000");
    public static final BigInteger MAX_TRI_LONG_WORD = LN.divide(BigInteger.valueOf(2));
    public static final BigInteger MIN_TRI_LONG_WORD = LN.divide(BigInteger.valueOf(-2));

    public Kernel getKernel() {
        return new Kernel() {
            @Override
            public void run() {

            }
        };
    }

    public static class RawTriSet {


    }
}
